
###########################################################################
# DRAGEN Array - Methylation QC threshold template for MSA
#
# Use this file as a starting point for Methylation Screening Array workflows.
# - Set a numeric value to evaluate a metric.
# - Set a value to null to skip that metric.
# - These are suggested cutoffs and should be adjusted for sample type,
#   platform, scanner settings, bisulfite conversion method, and lab workflow.
#
# Direction of interpretation:
# - All metrics in this file are minimum thresholds; higher values are better.
# - If the FFPE Restore kit is used, change restoration from null to 1.
#
# References:
# - https://help.dragenarray.illumina.com/product-guides/output-files#methyl_qc_report
# - https://help.dragenarray.illumina.com/product-guides/dragen-array-cloud-analysis/dragen-array-methylation-qc
# - https://www.illumina.com/content/dam/illumina/gcs/assembled-assets/marketing-literature/dragen-array-methylation-qc-tech-note-m-gl-02644/dragen-array-methylation-qc-tech-note-m-gl-02644.pdf
###########################################################################

QC:
  Report:
    # Staining controls
    stainingGreen: 5             # Minimum Biotin High / Background ratio.
    stainingRed: 5               # Minimum DNP High / Background ratio.

    # Extension controls
    extensionGreen: 5            # Minimum green-channel extension ratio.
    extensionRed: 5              # Minimum red-channel extension ratio.

    # Hybridization controls
    hybGreenHighMed: 1           # Minimum hybridization High / Medium ratio.
    hybGreenMediumLow: 1         # Minimum hybridization Medium / Low ratio.

    # Restoration control
    restoration: null            # Use 1 when the FFPE Restore kit is used.

    # Target removal controls
    targetRemovalI: 1            # Minimum target removal ratio for Control I.
    targetRemovalII: 1           # Minimum target removal ratio for Control II.

    # Bisulfite conversion controls
    bisulfiteConversionIGreen: 1     # Minimum Type I green conversion ratio.
    bisulfiteConversionIGreenBg: 0.5 # Minimum Type I green background ratio.
    bisulfiteConversionIRed: 1       # Minimum Type I red conversion ratio.
    bisulfiteConversionIRedBg: 0.5   # Minimum Type I red background ratio.
    bisulfiteConversionII: 0.5       # Minimum Type II conversion ratio.
    bisulfiteConversionIIBg: 0.5     # Minimum Type II background ratio.

    # Specificity controls
    specificityIGreen: 1         # Minimum Type I green specificity ratio.
    specificityIRed: 1           # Minimum Type I red specificity ratio.
    specificityII: 1             # Minimum Type II specificity ratio.
    specificityIIBg: 1           # Minimum Type II background specificity ratio.

    # Non-polymorphic controls
    npGreen: 2.5                 # Minimum non-polymorphic green ratio.
    npRed: 3                     # Minimum non-polymorphic red ratio.
